Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.observe
Class NetChangeObserver.NetChanges

    java.lang.Object
      org.modeshape.graph.observe.Changes
          org.modeshape.graph.observe.NetChangeObserver.NetChanges

All Implemented Interfaces:
  Serializable, Comparable<Changes>

Enclosing class:
  NetChangeObserver

    @Immutable
    public static final class NetChangeObserver.NetChanges

extends Changes

A set of net changes that were made atomically. Each change is in the form of a frozen `ChangeRequest`, and the net change is in the form.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.modeshape.graph.observe.Changes
`changeRequests, contextId, data, processId, sourceName, timestamp, userName`

Constructor Summary
`NetChangeObserver.NetChanges(Changes changes, List<NetChangeObserver.NetChange> netChanges)`

Method Summary
`List<NetChangeObserver.NetChange>` | `getNetChanges()` Get the list of net changes.
`String` | `toString()`

Methods inherited from class org.modeshape.graph.observe.Changes
`compareTo, equals, getChangeRequests, getContextId, getData, getProcessId, getSourceName, getTimestamp, getUserName, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NetChangeObserver.NetChanges

    public NetChangeObserver.NetChanges(Changes changes,
                                        List<NetChangeObserver.NetChange> netChanges)

Method Detail

### getNetChanges

    public List<NetChangeObserver.NetChange> getNetChanges()

  Get the list of net changes.

  Returns:
    the immutable list of net changes; never null and never empty

### toString

    public String toString()

  Overrides:
    `toString` in class `Changes`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.